<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__common__macros__tx__intr" kind="group">
    <compoundname>group_scb_common_macros_tx_intr</compoundname>
    <title>TX Interrupt Statuses</title>
      <sectiondef kind="define">
      <memberdef id="group__group__scb__common__macros__tx__intr_1ga4a3246f84b4c56a8c570b9a622e2af72" kind="define" prot="public" static="no">
        <name>CY_SCB_TX_INTR_LEVEL</name>
        <initializer>SCB_INTR_TX_TRIGGER_Msk</initializer>
        <briefdescription>
<para>The number of data elements in the TX FIFO is less than the value of the TX FIFO level. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="517" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="517" />
      </memberdef>
      <memberdef id="group__group__scb__common__macros__tx__intr_1ga864a9f7ac3a3c72b82b9ca3d18d492a6" kind="define" prot="public" static="no">
        <name>CY_SCB_TX_INTR_NOT_FULL</name>
        <initializer>SCB_INTR_TX_NOT_FULL_Msk</initializer>
        <briefdescription>
<para>The TX FIFO is not full. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="520" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="520" />
      </memberdef>
      <memberdef id="group__group__scb__common__macros__tx__intr_1ga24723ba8c328d957e1713cb8bc888502" kind="define" prot="public" static="no">
        <name>CY_SCB_TX_INTR_EMPTY</name>
        <initializer>SCB_INTR_TX_EMPTY_Msk</initializer>
        <briefdescription>
<para>The TX FIFO is empty. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="523" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="523" />
      </memberdef>
      <memberdef id="group__group__scb__common__macros__tx__intr_1gad1574ab8c43b9b2e20c62527dd56f3f6" kind="define" prot="public" static="no">
        <name>CY_SCB_TX_INTR_OVERFLOW</name>
        <initializer>SCB_INTR_TX_OVERFLOW_Msk</initializer>
        <briefdescription>
<para>An attempt to write to a full TX FIFO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="526" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="526" />
      </memberdef>
      <memberdef id="group__group__scb__common__macros__tx__intr_1gafc4090b887bf3aebb4a8eaf917754897" kind="define" prot="public" static="no">
        <name>CY_SCB_TX_INTR_UNDERFLOW</name>
        <initializer>SCB_INTR_TX_UNDERFLOW_Msk</initializer>
        <briefdescription>
<para>An attempt to read from an empty TX FIFO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="529" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="529" />
      </memberdef>
      <memberdef id="group__group__scb__common__macros__tx__intr_1ga3a643407857952a829f132e8c31c13c7" kind="define" prot="public" static="no">
        <name>CY_SCB_TX_INTR_UART_DONE</name>
        <initializer>SCB_INTR_TX_UART_DONE_Msk</initializer>
        <briefdescription>
<para>The UART transfer is complete: all data elements from the TX FIFO are sent. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="533" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="533" />
      </memberdef>
      <memberdef id="group__group__scb__common__macros__tx__intr_1ga6810ac0a6f6a66418be8086dd2faa4d8" kind="define" prot="public" static="no">
        <name>CY_SCB_TX_INTR_UART_NACK</name>
        <initializer>SCB_INTR_TX_UART_NACK_Msk</initializer>
        <briefdescription>
<para>SmartCard only: UART received a NACK. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="536" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="536" />
      </memberdef>
      <memberdef id="group__group__scb__common__macros__tx__intr_1ga789d149dbec0497816bc07ed3a54b5dc" kind="define" prot="public" static="no">
        <name>CY_SCB_TX_INTR_UART_ARB_LOST</name>
        <initializer>SCB_INTR_TX_UART_ARB_LOST_Msk</initializer>
        <briefdescription>
<para>SmartCard only: the value on the TX line of the UART does not match the value on the RX line. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" bodystart="542" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_common.h" line="542" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>